
From: Markus Lidel <Markus.Lidel@shadowconnect.com>

- Set max sectors to 256 for Promise controllers.

Signed-off-by: Markus Lidel <Markus.Lidel@shadowconnect.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/message/i2o/pci.c |    1 +
 1 files changed, 1 insertion(+)

diff -puN drivers/message/i2o/pci.c~i2o-limit-max-sector-workaround-for-promise-controllers drivers/message/i2o/pci.c
--- 25/drivers/message/i2o/pci.c~i2o-limit-max-sector-workaround-for-promise-controllers	Wed May 18 15:34:56 2005
+++ 25-akpm/drivers/message/i2o/pci.c	Wed May 18 15:34:56 2005
@@ -350,6 +350,7 @@ static int __devinit i2o_pci_probe(struc
 			pci_write_config_word(i960, 0x42, 0);
 
 		c->promise = 1;
+		c->limit_sectors = 1;
 	}
 
 	if (pdev->subsystem_vendor == PCI_VENDOR_ID_DPT)
_
